> # NAME

> sinh - returns hyperbolic sine of scalars and vectors.

> # SYNOPSIS

>       float  sinh(float a);
>       float1 sinh(float1 a);
>       float2 sinh(float2 a);
>       float3 sinh(float3 a);
>       float4 sinh(float4 a);

>       half   sinh(half a);
>       half1  sinh(half1 a);
>       half2  sinh(half2 a);
>       half3  sinh(half3 a);
>       half4  sinh(half4 a);

>       fixed  sinh(fixed a);
>       fixed1 sinh(fixed1 a);
>       fixed2 sinh(fixed2 a);
>       fixed3 sinh(fixed3 a);
>       fixed4 sinh(fixed4 a);

> # PARAMETERS

> a

>   Vector or scalar of which to determine the hyperbolic sine.

> # DESCRIPTION

> Returns the hyperbolic sine of a.

> For vectors, the returned vector contains the hyperbolic sine of each element of the input vector.

> # REFERENCE IMPLEMENTATION

> sinh for a scalar float could be implemented like this.

>       float sinh(float x)
>       {
>         return 0.5 * (exp(x)-exp(-x));
>       }

> # PROFILE SUPPORT

> sinh is supported in all profiles except fp20.

> # SEE ALSO

> acos, cos, cosh, exp, tanh